spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | Public Member Functions | Public Attributes | List of all members
spot::internal::edge_storage< StateIn, StateOut, Edge, Edge_Data > Struct Template Referencefinal
Inheritance diagram for spot::internal::edge_storage< StateIn, StateOut, Edge, Edge_Data >:
Collaboration diagram for spot::internal::edge_storage< StateIn, StateOut, Edge, Edge_Data >:

## Public Types
typedef Edge | edge

## Public Member Functions
template<typename... Args>
| edge_storage (StateOut dst, Edge next_succ, StateIn src, Args &&...args) noexcept(std::is_nothrow_constructible< Edge_Data, Args...>::value &&std::is_nothrow_constructible< StateOut, StateOut >::value &&std::is_nothrow_constructible< Edge, Edge >::value)
bool | operator< (const edge_storage &other) const
bool | operator== (const edge_storage &other) const

## Public Attributes
StateOut | dst
Edge | next_succ
StateIn | src

The documentation for this struct was generated from the following file:

- spot/graph/graph.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.